Name:          libiconv
Version:       1.17
Release:       1%{?dist}
Summary:       GNU charset conversion library
License:       GPL
Group:         System/Libraries
URL:           https://www.gnu.org/software/libiconv/
Packager:      Teddysun <i@teddysun.com>
Source:        https://ftp.gnu.org/pub/gnu/libiconv/libiconv-%{version}.tar.gz
BuildRequires: make glibc-devel gcc

%description
GNU charset conversion library and utility applications.

%package devel
Group:         Development/Libraries
Summary:       Development files for libiconv
Requires:      %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use libiconv.

%prep
%autosetup

%build
%configure --enable-extra-encodings
%make_build

%install
%make_install

# move references from iconv to libiconv
mv -v %{buildroot}%{_includedir}/{iconv.h,libiconv.h}
mv -v %{buildroot}%{_bindir}/{iconv,libiconv}
mv -v %{buildroot}%{_mandir}/man1/{,lib}iconv.1
mv -v %{buildroot}%{_mandir}/man3/{,libiconv_}iconv.3
mv -v %{buildroot}%{_mandir}/man3/{,libiconv_}iconvctl.3
mv -v %{buildroot}%{_mandir}/man3/{,libiconv_}iconv_open.3
mv -v %{buildroot}%{_mandir}/man3/{,libiconv_}iconv_close.3
mv -v %{buildroot}%{_mandir}/man3/{,libiconv_}iconv_open_into.3

# Get rid of unneeded *.la files
rm -fv %{buildroot}%{_libdir}/libcharset.la
rm -fv %{buildroot}%{_libdir}/libiconv.la

%find_lang %{name} || touch %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/libiconv
%{_libdir}/libcharset.so.*
%{_libdir}/libiconv.so.*
%{_mandir}/man1/libiconv.1*
%doc AUTHORS COPYING COPYING.LIB THANKS

%files devel
%defattr(-,root,root)
%{_includedir}/libiconv.h
%{_includedir}/libcharset.h
%{_includedir}/localcharset.h
%{_libdir}/libcharset.a
%{_libdir}/libcharset.so
%{_libdir}/libiconv.so
%{_docdir}/*.html
%{_mandir}/man3/libiconv*.3*
%doc ChangeLog NEWS README

%changelog
* Wed Sep 25 2024 Teddysun <i@teddysun.com> 1.17-1
- Initial version 1.17
